OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.TimerQuery

Contents

- Functions
- Tokens
- Types

Description

All raw functions, tokens and type from the EXT_timer_query extension, see http://www.opengl.org/registry/specs/EXT/timer_query.txt.

Synopsis

- glGetQueryObjecti64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()
- glGetQueryObjectui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()
- gl_TIME_ELAPSED :: GLenum
- type GLint64 = Int64
- type GLuint64 = Word64

# Functions

glGetQueryObjecti64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()

glGetQueryObjectui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()

# Tokens

gl_TIME_ELAPSED :: GLenum

# Types

type GLint64 = Int64

64bit signed two's complement binary integer (introduced in OpenGL 3.2).

type GLuint64 = Word64

64bit unsigned binary integer (introduced in OpenGL 3.2).